package entity

import "time"

type PosterInfoRequest struct {
	PosterID int64 `form:"id" binding:"required"`
}
type UserPosterInfo struct {
	Code ResCode
	Msg  string
	Body UserPoster
}

type UserPosterInfoForApi struct {
	Code ResCode
	Msg  string
	Body struct {
		Poster UserPoster `json:"poster"`
	}
}
type UserPoster struct {
	PosterID       int64     `gorm:"column:poster_id" json:"id"`
	Name           string    `gorm:"column:poster_name" json:"name"`
	UUID           string    `gorm:"column:uuid" json:"uuid"`
	Uid            int64     `gorm:"column:uid" json:"uid"`
	PosterKeywords string    `gorm:"column:poster_keywords" json:"poster_Keywords"`
	PosterJson     string    `gorm:"column:poster_json" json:"json"`
	Preview        string    `gorm:"column:preview" json:"preview"`
	Visit          string    `gorm:"column:visit" json:"visit"`
	Status         string    `gorm:"column:status" json:"status"`
	CreateAt       time.Time `gorm:"column:create_at" json:"create_at"`
	UpdateAt       time.Time `gorm:"column:update_at" json:"update_at"`
}

type PosterJson struct {
	Id            string  `json:"id"`
	Name          string  `json:"name"`
	Width         uint    `json:"w"`
	Height        uint    `json:"h"`
	Use           string  `json:"use"`
	Background    string  `json:"bgc"`
	BackgroundUrl string  `json:"bgUrl"`
	Type          string  `json:"type"`
	Quality       int     `json:"quality"`
	Scale         float64 `json:"scale"`
	Key           string  `json:"key"`
	Items         []Items `json:"items"`
}
type Items struct {
	Type        string  `json:"t"`
	Remark      string  `json:"name"`
	UUID        string  `json:"uuid"`
	X           int     `json:"x"`
	Y           int     `json:"y"`
	Width       uint    `json:"w"`
	Height      uint    `json:"h"`
	ZIndex      int     `json:"z"`
	Angle       int     `json:"angle"`
	Size        int     `json:"s"`
	Color       string  `json:"c"`
	Background  string  `json:"bgc"`
	Value       string  `json:"v"`
	Name        string  `json:"vd"`
	Font        string  `json:"fn"`
	St          int     `json:"st"`
	Active      bool    `json:"active"`
	Lock        bool    `json:"lock"`
	AspectRatio bool    `json:"aspectRatio"`
	P           int     `json:"p,omitempty"`
	Align       *string `json:"a,omitempty"`
	Wrap        *bool   `json:"wrap,omitempty"`
	Bius        *string `json:"bius,omitempty"`
}
