package entity

import "time"

type Login struct {
	Uid      int64  `json:"uid"`
	Username string `json:"username"`
	Type     int    `json:"type"`
	Avatar   string `json:"avatar"`
	Status   int8   `json:"status"`
	Token    string `json:"token"`
}

type LoginRequest struct {
	UserName string `form:"username" binding:"required"`
	Password string `form:"password" binding:"required"`
}

type RegisterRequest struct {
	UserName string `form:"username" binding:"required"`
	Password string `form:"password" binding:"required"`
	Email    string `form:"email"`
}

type UserInfo struct {
	Code ResCode
	Msg  string
	Body User
}

type User struct {
	Uid      int64     `gorm:"column:uid" json:"uid"`
	Username string    `gorm:"column:nickname" json:"username"`
	Email    string    `gorm:"column:email" json:"email"`
	Password string    `gorm:"column:password" json:"password"`
	Avatar   string    `gorm:"column:avatar" json:"avatar"`
	Salt     string    `gorm:"column:salt" json:"salt"`
	Status   int8      `gorm:"column:status" json:"status"`
	CreateAt time.Time `gorm:"column:create_at" json:"create_at"`
	UpdateAt time.Time `gorm:"column:update_at" json:"update_at"`
}
